SDL_SetSurfaceColorKey(3)

NAME
SDL_SetSurfaceColorKey - Set the color key (transparent pixel) in a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetSurfaceColorKey(SDL_Surface *surface, int flag, Uint32 key);

DESCRIPTION
The color key defines a pixel value that will be treated as transparent in a blit. For example, one can use this to specify that cyan pixels should be considered transparent, and therefore not rendered. It is a pixel of the format used by the surface, as generated by SDL_MapRGB (). RLE acceleration can substantially speed up blitting of images with large horizontal runs of transparent pixels. See SDL_SetSurfaceRLE () for details.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update

flag
    SDL_TRUE
     to enable color key, SDL_FALSE
     to disable color key

key the transparent pixel

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetSurfaceColorKey(3), SDL_SurfaceHasColorKey(3)